---
title: List On-Call Pages
description: Retrieve a paginated list of On-Call Pages, optionally filtered by a search query and sorted by a field.
breadcrumbs: Docs > API > List On-Call Pages
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List On-Call Pages

{% callout %}
This product or feature is not supported for the following sites: us2.ddog-gov.com
{% /callout %}

## v2 (latest)

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/on-call/pages     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/on-call/pages |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/on-call/pages |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/on-call/pages      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/on-call/pages |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/on-call/pages |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/on-call/pages |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/on-call/pages      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/on-call/pages  |

### Overview

Retrieve a paginated list of On-Call Pages, optionally filtered by a search query and sorted by a field.

This endpoint requires the `on_call_read` permission.

### Arguments

#### Query Strings

| Field         | Type    | Description                                                                                                                                                                                                     |
| ------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| page[size]    | integer | Number of On-Call Pages to return per page of results. The maximum allowed value is 1000. Default: `100`.                                                                                                       |
| page[number]  | integer | Page of results to return, starting at 0. `page[number]` multiplied by `page[size]` must be less than 50000. Default: `0`.                                                                                      |
| filter[query] | string  | Search query to filter Pages. Supports filters such as `status`, `urgency`, `team`, `service`, and `tags`, for example `status:triggered`.                                                                      |
| sort          | enum    | Sort Pages by the given field. Only one field is allowed. Allowed enum values: `created_at`, `-created_at`, `modified_at`, `-modified_at`, `status`, `-status`, `priority`, `-priority`. Default: `created_at`. |

### Response

{% tabs %}
{% tab label="200" %}
OK

{% tabs %}
{% tab label="Model" %}
A list of On-Call Pages with pagination metadata and related included resources.

| Parent field             | Field                           | Type      | Description                                                                                                                                                                                                                                                                                                                                                            |
| ------------------------ | ------------------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                          | data [*required*]               | [object]  | A list of Pages.                                                                                                                                                                                                                                                                                                                                                       |
| data                     | attributes                      | object    | The attributes of an On-Call Page.                                                                                                                                                                                                                                                                                                                                     |
| attributes               | acknowledged_at                 | date-time | The time when the Page was first acknowledged.                                                                                                                                                                                                                                                                                                                         |
| attributes               | closed_at                       | date-time | The time when the Page was resolved.                                                                                                                                                                                                                                                                                                                                   |
| attributes               | comment_count                   | int64     | The number of comments on the Page.                                                                                                                                                                                                                                                                                                                                    |
| attributes               | created_at [*required*]         | date-time | The time when the Page was created.                                                                                                                                                                                                                                                                                                                                    |
| attributes               | description [*required*]        | string    | A short summary of the issue or context.                                                                                                                                                                                                                                                                                                                               |
| attributes               | escalation_policy_uuid          | uuid      | The ID of the escalation policy used to route the Page.                                                                                                                                                                                                                                                                                                                |
| attributes               | key [*required*]                | string    | An alternative numeric identifier of the Page, as displayed in the Datadog UI.                                                                                                                                                                                                                                                                                         |
| attributes               | live_call                       | object    | Live call information for a Page triggered by a live call route.                                                                                                                                                                                                                                                                                                       |
| live_call                | call_over                       | object    | Information about a live call that has ended.                                                                                                                                                                                                                                                                                                                          |
| call_over                | outcome                         | enum      | The outcome of a live call that has ended. Allowed enum values: `success_call_answered`, `failure_no_responder`, `failure_caller_abandoned`, `failure_outside_support_hours`, `failure_internal_error`.                                                                                                                                                                |
| call_over                | support_hours_start_at          | date-time | When support hours start, if the call was placed outside support hours.                                                                                                                                                                                                                                                                                                |
| attributes               | modified_at                     | date-time | The time when the Page was last modified.                                                                                                                                                                                                                                                                                                                              |
| attributes               | release_at                      | date-time | The time when the snooze ends. Only set while the Page is snoozed, together with `release_origin`.                                                                                                                                                                                                                                                                     |
| attributes               | release_origin                  | enum      | What snoozed the Page. Only set while the Page is snoozed, together with `release_at`. `ack_timeout`: the acknowledgment timeout. `team_rules_active_hours`: the Page was triggered outside of the active hours of the team's routing rules. `manual_snooze`: a user snoozed the Page. Allowed enum values: `ack_timeout`, `team_rules_active_hours`, `manual_snooze`. |
| attributes               | responders_added_at             | date-time | The time when responders were first added to the Page.                                                                                                                                                                                                                                                                                                                 |
| attributes               | services                        | [string]  | The services associated with the Page.                                                                                                                                                                                                                                                                                                                                 |
| attributes               | status [*required*]             | enum      | The current status of the On-Call Page. Allowed enum values: `triggered`, `acknowledged`, `resolved`.                                                                                                                                                                                                                                                                  |
| attributes               | tags [*required*]               | [string]  | Tags associated with the Page.                                                                                                                                                                                                                                                                                                                                         |
| attributes               | title [*required*]              | string    | The title of the Page.                                                                                                                                                                                                                                                                                                                                                 |
| attributes               | urgency [*required*]            | enum      | On-Call Page urgency level. Allowed enum values: `low`, `high`. Default: `high`.                                                                                                                                                                                                                                                                                       |
| data                     | id [*required*]                 | uuid      | The unique ID of the Page.                                                                                                                                                                                                                                                                                                                                             |
| data                     | relationships                   | object    | The relationships of an On-Call Page.                                                                                                                                                                                                                                                                                                                                  |
| relationships            | author                          | object    | Reference to the entity that performed an action on the Page.                                                                                                                                                                                                                                                                                                          |
| author                   | data                            | object    | Reference to the author of a Page action.                                                                                                                                                                                                                                                                                                                              |
| data                     | id [*required*]                 | string    | The ID of the author.                                                                                                                                                                                                                                                                                                                                                  |
| data                     | type [*required*]               | string    | The resource type of the author, for example `users`, `monitors`, `incident_authors`, or `security_signal`.                                                                                                                                                                                                                                                            |
| relationships            | closed_by                       | object    | Reference to the entity that performed an action on the Page.                                                                                                                                                                                                                                                                                                          |
| closed_by                | data                            | object    | Reference to the author of a Page action.                                                                                                                                                                                                                                                                                                                              |
| data                     | id [*required*]                 | string    | The ID of the author.                                                                                                                                                                                                                                                                                                                                                  |
| data                     | type [*required*]               | string    | The resource type of the author, for example `users`, `monitors`, `incident_authors`, or `security_signal`.                                                                                                                                                                                                                                                            |
| relationships            | jira_issue                      | object    | The Jira issue linked to the Page.                                                                                                                                                                                                                                                                                                                                     |
| jira_issue               | data                            | object    | Reference to a Jira issue.                                                                                                                                                                                                                                                                                                                                             |
| data                     | id [*required*]                 | string    | The ID of the Jira issue, in the form `<account_id>:<issue_id>`.                                                                                                                                                                                                                                                                                                       |
| data                     | type [*required*]               | enum      | Jira issue resource type. Allowed enum values: `jira_issues`. Default: `jira_issues`.                                                                                                                                                                                                                                                                                  |
| relationships            | links                           | object    | Links between the Page and other Datadog resources, such as incidents. Always empty when listing Pages.                                                                                                                                                                                                                                                                |
| links                    | data                            | [object]  | The list of Page links.                                                                                                                                                                                                                                                                                                                                                |
| data                     | id [*required*]                 | string    | The ID of the link.                                                                                                                                                                                                                                                                                                                                                    |
| data                     | type [*required*]               | enum      | Page link resource type. Allowed enum values: `links`. Default: `links`.                                                                                                                                                                                                                                                                                               |
| relationships            | responders                      | object    | The users responding to the Page.                                                                                                                                                                                                                                                                                                                                      |
| responders               | data                            | [object]  | The list of responders.                                                                                                                                                                                                                                                                                                                                                |
| data                     | id [*required*]                 | string    | The user ID.                                                                                                                                                                                                                                                                                                                                                           |
| data                     | type [*required*]               | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                                                                                                                                                                                                                                                                                                   |
| relationships            | scheduled_action                | object    | The next action scheduled on the Page, such as an escalation.                                                                                                                                                                                                                                                                                                          |
| scheduled_action         | data                            | object    | Reference to the next scheduled action on the Page.                                                                                                                                                                                                                                                                                                                    |
| data                     | id [*required*]                 | string    | The ID of the scheduled action. Equal to the Page ID.                                                                                                                                                                                                                                                                                                                  |
| data                     | type [*required*]               | enum      | Scheduled action resource type. Allowed enum values: `scheduled_actions`. Default: `scheduled_actions`.                                                                                                                                                                                                                                                                |
| relationships            | service_now_incident            | object    | The ServiceNow incident linked to the Page.                                                                                                                                                                                                                                                                                                                            |
| service_now_incident     | data                            | object    | Reference to a ServiceNow incident.                                                                                                                                                                                                                                                                                                                                    |
| data                     | id [*required*]                 | string    | The ID of the ServiceNow incident.                                                                                                                                                                                                                                                                                                                                     |
| data                     | type [*required*]               | enum      | ServiceNow incident resource type. Allowed enum values: `service_now_incidents`. Default: `service_now_incidents`.                                                                                                                                                                                                                                                     |
| relationships            | target                          | object    | The team, user, or cross-organization handle that was paged.                                                                                                                                                                                                                                                                                                           |
| target                   | data                            | object    | Reference to the target of the Page.                                                                                                                                                                                                                                                                                                                                   |
| data                     | id [*required*]                 | string    | The ID of the target.                                                                                                                                                                                                                                                                                                                                                  |
| data                     | type [*required*]               | enum      | The resource type of the Page target. Allowed enum values: `teams`, `users`, `cross_org_handles`.                                                                                                                                                                                                                                                                      |
| relationships            | team_routing_rule               | object    | The team routing rule that matched the Page.                                                                                                                                                                                                                                                                                                                           |
| team_routing_rule        | data                            | object    | Reference to a team routing rule.                                                                                                                                                                                                                                                                                                                                      |
| data                     | id [*required*]                 | string    | The ID of the team routing rule.                                                                                                                                                                                                                                                                                                                                       |
| data                     | type [*required*]               | enum      | Indicates that the resource is of type `team_routing_rules`. Allowed enum values: `team_routing_rules`. Default: `team_routing_rules`.                                                                                                                                                                                                                                 |
| data                     | type [*required*]               | enum      | Indicates that the resource is of type `pages`. Allowed enum values: `pages`. Default: `pages`.                                                                                                                                                                                                                                                                        |
|                          | included                        | [<oneOf>] | Resources related to the Pages, such as users, teams, and scheduled actions.                                                                                                                                                                                                                                                                                           |
| included                 | <type=users>                    | object    | Represents a user object in the context of a schedule, including their `id`, type, and basic attributes.                                                                                                                                                                                                                                                               |
| <type=users>             | attributes                      | object    | Provides basic user information for a schedule, including a name and email address.                                                                                                                                                                                                                                                                                    |
| attributes               | color                           | string    | The user's on-call color, as a hex code (for example, `#FF0000`). Included only when `user.color` is requested in the `include` parameter.                                                                                                                                                                                                                             |
| attributes               | email                           | string    | The user's email address.                                                                                                                                                                                                                                                                                                                                              |
| attributes               | name                            | string    | The user's name.                                                                                                                                                                                                                                                                                                                                                       |
| attributes               | status                          | enum      | The user's status. Allowed enum values: `active`, `deactivated`, `pending`.                                                                                                                                                                                                                                                                                            |
| <type=users>             | id [*required*]                 | string    | The unique user identifier.                                                                                                                                                                                                                                                                                                                                            |
| <type=users>             | type [*required*]               | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                                                                                                                                                                                                                                                                                                   |
| included                 | <type=teams>                    | object    | Provides a reference to a team, including ID, type, and basic attributes/relationships.                                                                                                                                                                                                                                                                                |
| <type=teams>             | attributes                      | object    | Encapsulates the basic attributes of a Team reference, such as name, handle, and an optional avatar or description.                                                                                                                                                                                                                                                    |
| attributes               | avatar                          | string    | URL or reference for the team's avatar (if available).                                                                                                                                                                                                                                                                                                                 |
| attributes               | description                     | string    | A short text describing the team.                                                                                                                                                                                                                                                                                                                                      |
| attributes               | handle                          | string    | A unique handle/slug for the team.                                                                                                                                                                                                                                                                                                                                     |
| attributes               | name                            | string    | The full, human-readable name of the team.                                                                                                                                                                                                                                                                                                                             |
| <type=teams>             | id                              | string    | The team's unique identifier.                                                                                                                                                                                                                                                                                                                                          |
| <type=teams>             | type [*required*]               | enum      | Teams resource type. Allowed enum values: `teams`. Default: `teams`.                                                                                                                                                                                                                                                                                                   |
| included                 | <type=scheduled_actions>        | object    | The next action scheduled on a Page, such as an escalation or an automatic resolution.                                                                                                                                                                                                                                                                                 |
| <type=scheduled_actions> | attributes                      | object    | The attributes of a scheduled action.                                                                                                                                                                                                                                                                                                                                  |
| attributes               | at                              | date-time | The time when the action is scheduled to run.                                                                                                                                                                                                                                                                                                                          |
| attributes               | type                            | enum      | The kind of action that is scheduled. Allowed enum values: `escalate`, `resolve`, `release`, `retrigger`.                                                                                                                                                                                                                                                              |
| <type=scheduled_actions> | id [*required*]                 | string    | The ID of the scheduled action. Equal to the Page ID.                                                                                                                                                                                                                                                                                                                  |
| <type=scheduled_actions> | relationships                   | object    | The relationships of a scheduled action.                                                                                                                                                                                                                                                                                                                               |
| relationships            | schedules                       | object    | The schedules the action escalates to.                                                                                                                                                                                                                                                                                                                                 |
| schedules                | data                            | [object]  | The list of schedules.                                                                                                                                                                                                                                                                                                                                                 |
| data                     | id [*required*]                 | string    | The schedule ID.                                                                                                                                                                                                                                                                                                                                                       |
| data                     | type [*required*]               | enum      | Schedules resource type. Allowed enum values: `schedules`. Default: `schedules`.                                                                                                                                                                                                                                                                                       |
| relationships            | users                           | object    | The users the action escalates to.                                                                                                                                                                                                                                                                                                                                     |
| users                    | data                            | [object]  | The list of users.                                                                                                                                                                                                                                                                                                                                                     |
| data                     | id [*required*]                 | string    | The user ID.                                                                                                                                                                                                                                                                                                                                                           |
| data                     | type [*required*]               | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                                                                                                                                                                                                                                                                                                   |
| <type=scheduled_actions> | type [*required*]               | enum      | Scheduled action resource type. Allowed enum values: `scheduled_actions`. Default: `scheduled_actions`.                                                                                                                                                                                                                                                                |
| included                 | <type=links>                    | object    | A link between a Page and another Datadog resource, such as an incident.                                                                                                                                                                                                                                                                                               |
| <type=links>             | attributes                      | object    | The attributes of a Page link. A Page can be the child of another Datadog resource (for example, when an incident triggers it), or the parent of one (for example, when the Page is escalated to an incident).                                                                                                                                                         |
| attributes               | child_entity_id [*required*]    | string    | The ID of the child resource.                                                                                                                                                                                                                                                                                                                                          |
| attributes               | child_entity_type [*required*]  | enum      | The type of a resource linked to a Page. Allowed enum values: `case`, `incident`, `page`, `agent_conversation`.                                                                                                                                                                                                                                                        |
| attributes               | parent_entity_id [*required*]   | string    | The ID of the parent resource.                                                                                                                                                                                                                                                                                                                                         |
| attributes               | parent_entity_type [*required*] | enum      | The type of a resource linked to a Page. Allowed enum values: `case`, `incident`, `page`, `agent_conversation`.                                                                                                                                                                                                                                                        |
| attributes               | relationship [*required*]       | enum      | How the parent resource relates to the child resource. Allowed enum values: `relates_to`, `causes`, `blocks`, `duplicates`, `parent_of`, `successor_of`, `escalates_to`, `pages`.                                                                                                                                                                                      |
| <type=links>             | id [*required*]                 | string    | The ID of the link.                                                                                                                                                                                                                                                                                                                                                    |
| <type=links>             | type [*required*]               | enum      | Page link resource type. Allowed enum values: `links`. Default: `links`.                                                                                                                                                                                                                                                                                               |
|                          | meta                            | object    | Metadata that is included in the response when listing On-Call resources.                                                                                                                                                                                                                                                                                              |
| meta                     | page                            | object    | Metadata related to pagination information that is included in the response when listing On-Call resources.                                                                                                                                                                                                                                                            |
| page                     | first_number                    | int64     | First page number.                                                                                                                                                                                                                                                                                                                                                     |
| page                     | last_number                     | int64     | Last page number.                                                                                                                                                                                                                                                                                                                                                      |
| page                     | next_number                     | int64     | Next page number.                                                                                                                                                                                                                                                                                                                                                      |
| page                     | number                          | int64     | Page number.                                                                                                                                                                                                                                                                                                                                                           |
| page                     | prev_number                     | int64     | Previous page number.                                                                                                                                                                                                                                                                                                                                                  |
| page                     | size                            | int64     | Page size.                                                                                                                                                                                                                                                                                                                                                             |
| page                     | total                           | int64     | Total number of results.                                                                                                                                                                                                                                                                                                                                               |
| page                     | type                            | string    | Pagination type.                                                                                                                                                                                                                                                                                                                                                       |
{% /tab %}

{% tab label="Example" %}
```json
{
  "data": [
    {
      "attributes": {
        "acknowledged_at": "2026-01-01T10:05:00Z",
        "closed_at": "2026-01-01T10:30:00Z",
        "comment_count": 2,
        "created_at": "2026-01-01T10:00:00Z",
        "description": "Page details.",
        "escalation_policy_uuid": "00000000-0000-0000-0000-000000000000",
        "key": "25137717",
        "live_call": {
          "call_over": {
            "outcome": "success_call_answered",
            "support_hours_start_at": "2026-01-01T09:00:00Z"
          }
        },
        "modified_at": "2026-01-01T10:30:00Z",
        "release_at": "2026-01-01T11:00:00Z",
        "release_origin": "manual_snooze",
        "responders_added_at": "2026-01-01T10:01:00Z",
        "services": [
          "service-a"
        ],
        "status": "triggered",
        "tags": [
          "service:test"
        ],
        "title": "Service: Test is down",
        "urgency": "high"
      },
      "id": "15e74b8b-f865-48d0-bcc5-453323ed2c8f",
      "relationships": {
        "author": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        },
        "closed_by": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        },
        "jira_issue": {
          "data": {
            "id": "123456:10001",
            "type": "jira_issues"
          }
        },
        "links": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000003",
              "type": "links"
            }
          ]
        },
        "responders": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "users"
            }
          ]
        },
        "scheduled_action": {
          "data": {
            "id": "15e74b8b-f865-48d0-bcc5-453323ed2c8f",
            "type": "scheduled_actions"
          }
        },
        "service_now_incident": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "service_now_incidents"
          }
        },
        "target": {
          "data": {
            "id": "00000000-da3a-0000-0000-000000000000",
            "type": "teams"
          }
        },
        "team_routing_rule": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "team_routing_rules"
          }
        }
      },
      "type": "pages"
    }
  ],
  "included": [
    {
      "attributes": {
        "color": "#FF0000",
        "email": "jane.doe@example.com",
        "name": "Jane Doe",
        "status": "string"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "users"
    }
  ],
  "meta": {
    "page": {
      "first_number": "integer",
      "last_number": "integer",
      "next_number": "integer",
      "number": "integer",
      "prev_number": "integer",
      "size": "integer",
      "total": "integer",
      "type": "number_size"
    }
  }
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="400" %}
Bad Request

{% tabs %}
{% tab label="Model" %}
API error response.

| Parent field | Field               | Type     | Description                                                                     |
| ------------ | ------------------- | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | code                | string   | An application-specific error code.                                             |
| errors       | detail              | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                | object   | Non-standard meta-information about the error                                   |
| errors       | source              | object   | References to the source of the error.                                          |
| source       | header              | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter           | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer             | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status              | string   | Status code of the response.                                                    |
| errors       | title               | string   | Short human-readable summary of the error.                                      |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    {
      "code": "invalid_request",
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="401" %}
Unauthorized

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="403" %}
Forbidden

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="404" %}
Not Found

{% tabs %}
{% tab label="Model" %}
API error response.

| Parent field | Field               | Type     | Description                                                                     |
| ------------ | ------------------- | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | code                | string   | An application-specific error code.                                             |
| errors       | detail              | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                | object   | Non-standard meta-information about the error                                   |
| errors       | source              | object   | References to the source of the error.                                          |
| source       | header              | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter           | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer             | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status              | string   | Status code of the response.                                                    |
| errors       | title               | string   | Short human-readable summary of the error.                                      |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    {
      "code": "invalid_request",
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="429" %}
Too many requests

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}
{% /tabs %}

### Code Example

{% tabs %}
{% tab label="Curl" %}
```bash
# Set your Datadog site and credentials
export DD_SITE="datadoghq.com" # Or us3.datadoghq.com, us5.datadoghq.com, datadoghq.eu, ap1.datadoghq.com, ap2.datadoghq.com, uk1.datadoghq.com, ddog-gov.com, us2.ddog-gov.com
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
```
{% /tab %}
{% /tabs %}
